#include <iostream>
#include "bintree.h"

using namespace std;

namespace bintree
{
	void insert(TreeNode*& n, int v)
	{
		if(n != NULL)
			insert(n->value > v
				? n->left
				: n->right,
				v);
		else
		{
			n = new TreeNode;
			n->value = v;
			n->left = n->right = NULL;
		}
	}
	
	void print(TreeNode*& n)
	{
		if(n != NULL)
		{
			print(n->left);
			cout << n->value << " ";
			print(n->right);
		}
	}
	
	TreeNode::~TreeNode()
	{
		delete left;
		delete right;
	}
}
